systemd_networkd Cookbook
=========================
This master cookbook is responsible for configuring primary systemd-networkd.

Requirements
------------
- `systemd` - systemd_networkd required systemd > 216

Attributes
----------

All keys are case sensitive.  CamelCase is used instead of underscore.

Recipes
-------

default: sets up directories and deletes old configurations
cpuport: configures attributes specific to cpu port
link: configures port state and port speed
static_mac_table: confgures the static MAC table (FDB)
switchport: configures port attributes
team: configures LAGs and LAG-specific features (e.g. LAG attributes)
ufd: configures uplink failure detection

Please see the ONPSS Getting Started Guide for more details.

Usage
-----

Just include `systemd_networkd` in your node's `run_list`:

```json
{                                                                                                        
  "name": "IES",                                                                                          
  "description": "Default role",                                                                         
  "run_list": [
    "recipe[systemd_networkd]"
  ],
  "default_attributes": {                         
    "SystemdNetworkd": {                          
      ... 
   }
}
```

Contributing
------------
Not yet defined

License and Authors
-------------------
Authors: Intel
